## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           jetbrains-annotations
Version:        24.1.0
Release:        %autorelease
Summary:        Annotations for JVM-based languages

License:        Apache-2.0
URL:            https://www.jetbrains.org/
Source0:        https://github.com/JetBrains/java-annotations/archive/%{version}/java-annotations-%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/org/jetbrains/annotations/%{version}/annotations-%{version}.pom

BuildArch:      noarch
ExclusiveArch:  noarch %{java_arches}

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)

%description
This package contains a set of Java annotations which can be used in
JVM-based languages.  They serve as additional documentation and can be
interpreted by IDEs and static analysis tools to improve code analysis.

%javadoc_package

%prep
%autosetup -n java-annotations-%{version}
cp -p %{SOURCE1} pom.xml

%pom_add_plugin org.apache.maven.plugins:maven-compiler-plugin:3.10.1 . '<configuration><source>1.8</source><target>1.8</target></configuration>'

%mvn_file org.jetbrains:annotations %{name}
%mvn_alias org.jetbrains:annotations com.intellij:

# Assemble the sources to build
cp -a common/src src
cp -p java8/src/main/java/org/jetbrains/annotations/*.java \
      src/main/java/org/jetbrains/annotations

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%changelog
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 24.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 24.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 15 2023 Jerry James <loganjerry@gmail.com> - 24.1.0-1
- Version 24.1.0

* Wed Aug 30 2023 Jerry James <loganjerry@gmail.com> - 24.0.1-1
- Version 24.0.1

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 22 2016 gil cattaneo <puntogil@libero.it> 15.0-3
- regenerate build-requires

* Wed Apr 27 2016 gil cattaneo <puntogil@libero.it> 15.0-2
- review fixes

* Sun Mar 20 2016 gil cattaneo <puntogil@libero.it> 15.0-1
- initial rpm

